Definition revisions
Retrieve a Definition Document
Returns metadata for one source document captured in a Definition Revision. Retrieve its content through the revision's document content endpoint. A document in another organization returns 404 not_found.
Authorization
apiKey AuthorizationBearer <token>
Organization API key from the console (ak_...), or an OAuth access token with user:org:read, the organization selected during consent, and the capability required by the operation.
In: header
Path Parameters
definition_document_id*string
Unique identifier for a source document captured in a Definition Revision.
Match
^doc_[a-z0-9]{16}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/definition-documents/doc_8q2m5v1k9p4d7h3c"{ "id": "doc_8q2m5v1k9p4d7h3c", "object": "definition_document", "definition_revision_id": "drev_6m1q8v4k2p9d7h3c", "role": "entrypoint", "coordinate": "https://api.parcel.example/openapi.json", "sha256": "3ccd2685803ba4c4db9bed78c3ef8d1993e119abbdafa1ab5dfa6d31846da05d", "size_bytes": 524, "created_at": "2026-09-23T08:00:00Z", "request_id": "req_3k8m1v6q9p2d7h4c"}